/****************************************************************************
**
** Copyright (C) 2000-$THISYEAR$ $TROLLTECH$. All rights reserved.
**
** This file is part of the $MODULE$ of the Qtopia Toolkit.
**
** $TROLLTECH_DUAL_LICENSE$
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "brcm1103kbddriverplugin.h"
#include "brcm1103kbdhandler.h"


Brcm1103KbdDriverPlugin::Brcm1103KbdDriverPlugin( QObject *parent )
    : QKbdDriverPlugin( parent )
{}

Brcm1103KbdDriverPlugin::~Brcm1103KbdDriverPlugin()
{}

QWSKeyboardHandler* Brcm1103KbdDriverPlugin::create(const QString& driver, const QString&)
{
    return create( driver );
}

QWSKeyboardHandler* Brcm1103KbdDriverPlugin::create( const QString& driver)
{
    if( driver.toLower() == "brcm1103kbdhandler" ) {
        return new Brcm1103KbdHandler();
    }
    return 0;
}

QStringList Brcm1103KbdDriverPlugin::keys() const
{
    return QStringList() << "brcm1103kbdhandler";
}

Q_EXPORT_PLUGIN2(brcm1103kbdhandler, Brcm1103KbdDriverPlugin)

